Bug 500813 - ecryptfs-rewrite-file should be more wise when dealing with non-existing/bogus files
ecryptfs-rewrite-file should be more wise when dealing with non-existing/bogu...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 06:41 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:57:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sent upstream (1.43 KB, patch)
2009-05-18 08:52 EDT, Michal Hlavinka
no flags Details | Diff
improved one (1.48 KB, patch)
2009-06-01 07:13 EDT, Michal Nowak
no flags Details | Diff

  None (edit)
Description Michal Nowak 2009-05-14 06:41:02 EDT
Description of problem:

[root@hp-ml370g4-01 Private]# ecryptfs-rewrite-file .

OK

[root@hp-ml370g4-01 Private]# ecryptfs-rewrite-file . df sdsds
INFO: Rewriting [1/3] [df] ... [OK]
INFO: Rewriting [2/3] [sdsds] ... cp: cannot stat `sdsds': No such file or directory

ERROR: Could not copy [sdsds] to [sdsds.KiSoJ14967]


- something like [3/3] is missing here ('.' is missing here and should be treated as "ERROR")

- "cp: cannot stat `sdsds': No such file or directory" should be avoided in this place and "[FAILED]" is more appropriate + some nice "ERROR:" msg below ("ERROR: No such file or directory"?). 

Version-Release number of selected component (if applicable):

ecryptfs-utils-75-1.el5
Comment 1 Michal Hlavinka 2009-05-18 08:52:56 EDT
Created attachment 344431 [details]
sent upstream
Comment 5 Michal Nowak 2009-06-01 07:13:17 EDT
Created attachment 346074 [details]
improved one
Comment 10 errata-xmlrpc 2009-09-02 05:57:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.